Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2096763005: Provide StructTraits for a vector<SkBitmap> (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by rjkroege
Modified:
1 year, 1 month ago
CC:
Aaron Boodman, abarth-chromium, ben+mojo_chromium.org, chromium-reviews, darin (slow to review), qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Provide StructTraits for a vector<SkBitmap> To retain an existing ozone API while making it accessible from mojo, add StructTraits conversion for a vector<SkBitmap> BUG=620927 Committed: https://crrev.com/5557c8bccbf59dbc24a499c8593a5caae117a46e Cr-Commit-Position: refs/heads/master@{#403501}

Patch Set 1 #

Total comments: 2

Patch Set 2 : review comments #

Patch Set 3 : review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+92 lines, -2 lines) Patch
M skia/public/interfaces/BUILD.gn View 2 chunks +10 lines, -0 lines 0 comments Download
A + skia/public/interfaces/bitmap_array.mojom View 1 2 1 chunk +5 lines, -3 lines 0 comments Download
A skia/public/interfaces/bitmap_array.typemap View 1 chunk +14 lines, -0 lines 0 comments Download
A skia/public/interfaces/bitmap_array_struct_traits.h View 1 1 chunk +30 lines, -0 lines 0 comments Download
A + skia/public/interfaces/test/OWNERS View 0 chunks +-1 lines, --1 lines 0 comments Download
M skia/public/interfaces/test/struct_traits_unittest.cc View 1 2 2 chunks +29 lines, -0 lines 0 comments Download
M skia/public/interfaces/test/traits_test_service.mojom View 2 chunks +4 lines, -0 lines 0 comments Download
M skia/public/interfaces/typemaps.gni View 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:  linux_android_rel_ng   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   android_compile_dbg   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device   ios-simulator-gn   mac_chromium_gyp_rel   ios-device-gn   mac_chromium_rel_ng   linux_chromium_chromeos_compile_dbg_ng   ios-simulator   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   linux_chromium_clobber_rel_ng   linux_android_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device   mac_chromium_rel_ng   ios-simulator-gn   ios-device-gn   ios-simulator   linux_android_rel_ng   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   android_compile_dbg   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_clobber_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 34 (10 generated)
rjkroege
ptal
1 year, 1 month ago (2016-06-23 21:41:03 UTC) #2
Fady Samuel
lgtm + comment. https://codereview.chromium.org/2096763005/diff/1/skia/public/interfaces/bitmap_array_struct_traits.h File skia/public/interfaces/bitmap_array_struct_traits.h (right): https://codereview.chromium.org/2096763005/diff/1/skia/public/interfaces/bitmap_array_struct_traits.h#newcode25 skia/public/interfaces/bitmap_array_struct_traits.h:25: if (!data.ReadBitmaps(&bitmaps)) It seems like you ...
1 year, 1 month ago (2016-06-23 21:45:12 UTC) #4
rjkroege
ptal dcheng@: security review please. junov@: skia owner please. https://codereview.chromium.org/2096763005/diff/1/skia/public/interfaces/bitmap_array_struct_traits.h File skia/public/interfaces/bitmap_array_struct_traits.h (right): https://codereview.chromium.org/2096763005/diff/1/skia/public/interfaces/bitmap_array_struct_traits.h#newcode25 skia/public/interfaces/bitmap_array_struct_traits.h:25: ...
1 year, 1 month ago (2016-06-24 14:13:20 UTC) #6
dcheng
Why do we need the wrapper struct instead of just having code write array<skia.mojom.Bitmap> directly?
1 year, 1 month ago (2016-06-24 16:58:28 UTC) #7
rjkroege
On 2016/06/24 16:58:28, dcheng wrote: > Why do we need the wrapper struct instead of ...
1 year, 1 month ago (2016-06-24 21:55:36 UTC) #8
dcheng
On 2016/06/24 21:55:36, rjkroege wrote: > On 2016/06/24 16:58:28, dcheng wrote: > > Why do ...
1 year, 1 month ago (2016-06-24 21:59:20 UTC) #9
rjkroege
On 2016/06/24 21:59:20, dcheng wrote: > On 2016/06/24 21:55:36, rjkroege wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-24 22:07:10 UTC) #10
dcheng
On 2016/06/24 22:07:10, rjkroege wrote: > On 2016/06/24 21:59:20, dcheng wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-24 22:17:35 UTC) #11
rjkroege
On 2016/06/24 22:17:35, dcheng wrote: > On 2016/06/24 22:07:10, rjkroege wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-27 17:50:49 UTC) #12
yzshen1
On 2016/06/27 17:50:49, rjkroege wrote: > On 2016/06/24 22:17:35, dcheng wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-27 18:00:49 UTC) #13
rjkroege
On 2016/06/27 18:00:49, yzshen1 wrote: > On 2016/06/27 17:50:49, rjkroege wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-27 23:41:33 UTC) #14
dcheng
On 2016/06/27 17:50:49, rjkroege wrote: > On 2016/06/24 22:17:35, dcheng wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-28 02:23:17 UTC) #15
Ben Goodger (Google)
dcheng: FTR, if we blocked development on every feature request from Mojo system/bindings layers we'd ...
1 year, 1 month ago (2016-06-28 22:26:22 UTC) #17
rjkroege
On 2016/06/28 02:23:17, dcheng wrote: > On 2016/06/27 17:50:49, rjkroege wrote: > > On 2016/06/24 ...
1 year, 1 month ago (2016-06-29 19:27:11 UTC) #18
dcheng
mojom lgtm
1 year, 1 month ago (2016-06-29 22:30:49 UTC) #19
rjkroege
On 2016/06/29 22:30:49, dcheng wrote: > mojom lgtm ping junov@ for OWNERS in skia
1 year, 1 month ago (2016-06-29 23:20:52 UTC) #20
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2096763005/40001
1 year, 1 month ago (2016-06-29 23:22:03 UTC) #22
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year, 1 month ago (2016-06-30 00:39:26 UTC) #24
rjkroege
junov@ is on vacation. mtklein@: ptal for skia OWNERs review.
1 year, 1 month ago (2016-06-30 18:31:45 UTC) #26
mtklein_C
lgtm
1 year, 1 month ago (2016-07-01 16:32:28 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2096763005/40001
1 year, 1 month ago (2016-07-01 18:27:43 UTC) #30
commit-bot: I haz the power
Committed patchset #3 (id:40001)
1 year, 1 month ago (2016-07-01 19:26:50 UTC) #31
commit-bot: I haz the power
CQ bit was unchecked.
1 year, 1 month ago (2016-07-01 19:27:03 UTC) #32
commit-bot: I haz the power
1 year, 1 month ago (2016-07-01 19:29:16 UTC) #34
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/5557c8bccbf59dbc24a499c8593a5caae117a46e
Cr-Commit-Position: refs/heads/master@{#403501}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b